> For the complete documentation index, see [llms.txt](https://api.qvalia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.qvalia.io/sample-data/api-sample-data/ordercancellation.md).

# OrderCancellation

Base OrderCancellation example

Sample origin: <https://github.com/OpenPEPPOL/poacc-upgrade-3/blob/master/rules/examples/OrderCancellation_Example.xml>

{% tabs %}
{% tab title="JSON" %}

```json
{
  "OrderCancellation": {
    "$": {
      "xmlns": "urn:oasis:names:specification:ubl:schema:xsd:OrderCancellation-2",
      "xmlns:cac": "urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2",
      "xmlns:cbc": "urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2",
      "xmlns:xs": "http://www.w3.org/2001/XMLSchema"
    },
    "cbc:CustomizationID": [
      {
        "_": "urn:fdc:peppol.eu:poacc:trns:order_cancellation:3"
      }
    ],
    "cbc:ProfileID": [
      {
        "_": "urn:fdc:peppol.eu:poacc:bis:advanced_ordering:3"
      }
    ],
    "cbc:ID": [
      {
        "_": "Cancellation-1"
      }
    ],
    "cbc:IssueDate": [
      {
        "_": "2022-02-01"
      }
    ],
    "cbc:CancellationNote": [
      {
        "_": "With reference to phone call"
      }
    ],
    "cac:OrderReference": [
      {
        "cbc:ID": [
          {
            "_": "Order-1"
          }
        ]
      }
    ],
    "cac:BuyerCustomerParty": [
      {
        "cac:Party": [
          {
            "cbc:EndpointID": [
              {
                "_": "7300010000001",
                "$": {
                  "schemeID": "0088"
                }
              }
            ],
            "cac:PartyIdentification": [
              {
                "cbc:ID": [
                  {
                    "_": "5541277710",
                    "$": {
                      "schemeID": "0007"
                    }
                  }
                ]
              }
            ],
            "cac:PartyLegalEntity": [
              {
                "cbc:RegistrationName": [
                  {
                    "_": "City Hospital 345433"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "cac:SellerSupplierParty": [
      {
        "cac:Party": [
          {
            "cbc:EndpointID": [
              {
                "_": "7302347231110",
                "$": {
                  "schemeID": "0088"
                }
              }
            ],
            "cac:PartyIdentification": [
              {
                "cbc:ID": [
                  {
                    "_": "5546577791",
                    "$": {
                      "schemeID": "0007"
                    }
                  }
                ]
              }
            ],
            "cac:PartyName": [
              {
                "cbc:Name": [
                  {
                    "_": "The Supplier AB"
                  }
                ]
              }
            ],
            "cac:PostalAddress": [
              {
                "cac:Country": [
                  {
                    "cbc:IdentificationCode": [
                      {
                        "_": "SE"
                      }
                    ]
                  }
                ]
              }
            ],
            "cac:PartyLegalEntity": [
              {
                "cbc:RegistrationName": [
                  {
                    "_": "The Supplier AB"
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```

{% endtab %}

{% tab title="XML" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<OrderCancellation xmlns="urn:oasis:names:specification:ubl:schema:xsd:OrderCancellation-2"
  xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
  xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <cbc:CustomizationID>urn:fdc:peppol.eu:poacc:trns:order_cancellation:3</cbc:CustomizationID>
  <cbc:ProfileID>urn:fdc:peppol.eu:poacc:bis:advanced_ordering:3</cbc:ProfileID>
  <cbc:ID>Cancellation-1</cbc:ID>
  <cbc:IssueDate>2022-02-01</cbc:IssueDate>
  <cbc:CancellationNote>With reference to phone call</cbc:CancellationNote>
  <cac:OrderReference>
    <cbc:ID>Order-1</cbc:ID>
  </cac:OrderReference>
  <cac:BuyerCustomerParty>
    <cac:Party>
      <cbc:EndpointID schemeID="0088">7300010000001</cbc:EndpointID>
      <cac:PartyIdentification>
        <cbc:ID schemeID="0007">5541277710</cbc:ID>
      </cac:PartyIdentification>
      <cac:PartyLegalEntity>
        <cbc:RegistrationName>City Hospital 345433</cbc:RegistrationName>
      </cac:PartyLegalEntity>
    </cac:Party>
  </cac:BuyerCustomerParty>
  <cac:SellerSupplierParty>
    <cac:Party>
      <cbc:EndpointID schemeID="0088">7302347231110</cbc:EndpointID>
      <cac:PartyIdentification>
        <cbc:ID schemeID="0007">5546577791</cbc:ID>
      </cac:PartyIdentification>
      <cac:PartyName>
        <cbc:Name>The Supplier AB</cbc:Name>
      </cac:PartyName>
      <cac:PostalAddress>
        <cac:Country>
          <cbc:IdentificationCode>SE</cbc:IdentificationCode>
        </cac:Country>
      </cac:PostalAddress>
      <cac:PartyLegalEntity>
        <cbc:RegistrationName>The Supplier AB</cbc:RegistrationName>
      </cac:PartyLegalEntity>
    </cac:Party>
  </cac:SellerSupplierParty>
</OrderCancellation>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api.qvalia.io/sample-data/api-sample-data/ordercancellation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
